io.swagger.client.model

## Class ConnectionList

- java.lang.Object
- - io.swagger.client.model.ConnectionList

-     public class ConnectionList
      extends Object

  ConnectionList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionList` | `addConnectionItem(Connection connectionItem)`
    `ConnectionList` | `connection(List<Connection> connection)`
    `boolean` | `equals(Object o)`
    `List<Connection>` | `getConnection()` Get connection
    `String` | `getNextLink()` Get nextLink
    `int` | `hashCode()`
    `ConnectionList` | `nextLink(String nextLink)`
    `void` | `setConnection(List<Connection> connection)`
    `void` | `setNextLink(String nextLink)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionList

          public ConnectionList()

  - ### Method Detail

    - #### nextLink

          public ConnectionList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### connection

          public ConnectionList connection(List<Connection> connection)

    - #### addConnectionItem

          public ConnectionList addConnectionItem(Connection connectionItem)

    - #### getConnection

          public List<Connection> getConnection()

      Get connection
      Returns:
        connection

    - #### setConnection

          public void setConnection(List<Connection> connection)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.